version: '3.8'
services:
  web:
    build: .
    command: uvicorn main:app --host 0.0.0.0 --port 8000 --reload
    volumes:
      - .:/usr/src/app
    ports:
      - "8000:8000"
      - "8001:8001"
    depends_on:
      - redis

  worker:
    build: .
    command: celery -A main.celery_app worker --loglevel=info
    volumes:
      - .:/usr/src/app
    depends_on:
      - redis

  redis:
    image: "redis:alpine"